| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/compileassert.h File Reference

Compile time assert macro. More...

Go to the source code of this file.

## Namespaces
namespace | CrystalSpace
## Classes
struct | CrystalSpace::COMPILE_ASSERT_FAILURE< x >
struct | CrystalSpace::COMPILE_ASSERT_FAILURE< true >
struct | CrystalSpace::CompileAssertTest< x >
## Defines
#define | CS_COMPILE_ASSERT(B)
#define | CS_DO_JOIN(X, Y) CS_DO_JOIN2(X,Y)
#define | CS_DO_JOIN2(X, Y) X##Y
#define | CS_JOIN(X, Y) CS_DO_JOIN( X, Y )

## Detailed Description

Compile time assert macro.

Definition in file compileassert.h.